Name:          assertj-guava
Version:       2.0.0
Release:       1%{?dist}
Summary:       Java library of assertions specific to Guava types
License:       ASL 2.0
URL:           http://joel-costigliola.github.io/assertj/assertj-guava.html
Source0:       https://github.com/joel-costigliola/assertj-guava/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.assertj:assertj-core)
#BuildRequires: mvn(org.assertj:assertj-parent-pom:pom:)

BuildArch:     noarch

%description
AssertJ Guava is a library of assertions specific to Guava types
like Multimap, Optional or Table.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# org.assertj:assertj-parent-pom:pom:1.3.7
%pom_remove_parent
%pom_xpath_inject pom:project "<groupId>org.assertj</groupId>"

%pom_remove_plugin :license-maven-plugin
%pom_remove_plugin :jacoco-maven-plugin

%pom_xpath_remove pom:Bundle-RequiredExecutionEnvironment

native2ascii -encoding UTF8 src/main/java/org/assertj/guava/error/OptionalShouldBeAbsent.java \
 src/main/java/org/assertj/guava/error/OptionalShouldBeAbsent.java

%mvn_file : %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Sat Jun 20 2015 gil cattaneo <puntogil@libero.it> 2.0.0-1
- update to 2.0.0

* Sat Jun 20 2015 gil cattaneo <puntogil@libero.it> 1.3.1-1
- initial rpm
